import _extends from "@babel/runtime/helpers/esm/extends";
import _objectSpread from "@babel/runtime/helpers/esm/objectSpread2";
import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React, { useRef, useImperativeHandle } from 'react';
import CodeMirror from './CodeMirror';
import './codemirror.css';
import './index.css';
var defaultOptions = {
  tabSize: 2,
  autoCloseBrackets: true,
  matchBrackets: true,
  showCursorWhenSelecting: true,
  // 显示行号
  lineNumbers: true,
  fullScreen: true
};

function ReactCodeMirror() {
  var props = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var ref = arguments.length > 1 ? arguments[1] : undefined;

  var options = props.options,
      otherProps = _objectWithoutProperties(props, ["options"]);

  var codeMirrorRef = useRef();
  useImperativeHandle(ref, function () {
    return codeMirrorRef;
  });
  return /*#__PURE__*/React.createElement(CodeMirror, _extends({}, otherProps, {
    ref: codeMirrorRef,
    options: _objectSpread(_objectSpread({}, defaultOptions), options)
  }));
}

export default /*#__PURE__*/React.forwardRef(ReactCodeMirror); 
//# sourceMappingURL=index.js.map